diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index e0beb91..582cb26 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -131129,12 +131129,12 @@ RationalFunctionFactor(UP): Exports == Implementation where
     dummy := new()$SE
  
     likuniv(p, x, d) ==
-      map(#1 / d, univariate(p, x))$UPCF2(P,SparseUnivariatePolynomial P,
+      map(y +-> y/d, univariate(p, x))$UPCF2(P,SparseUnivariatePolynomial P,
                                           RF, UP)
  
     factor p ==
       d  := denom(q := elt(p,dummy::P :: RF))
-      map(likuniv(#1,dummy,d),
+      map(x +-> likuniv(x,dummy,d),
           factor(numer q)$MultivariateFactorize(SE,
                IndexedExponents SE,Integer,P))$FactoredFunctions2(P, UP)
 
diff --git a/changelog b/changelog
index 765f82d..c4a278d 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090619 tpd src/axiom-website/patches.html 20090619.08.tpd.patch
+20090619 tpd books/bookvol10.4 RFFACT +-> conversion
 20090619 tpd src/axiom-website/patches.html 20090619.07.tpd.patch
 20090619 tpd books/bookvol10.4 DEFINTRF +-> conversion
 20090619 tpd src/axiom-website/patches.html 20090619.06.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 1f69e01..d5b16c3 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1593,5 +1593,7 @@ bookvol10.4 QCMPACK +-> conversion<br/>
 bookvol10.4 RF +-> conversion<br/>
 <a href="patches/20090619.07.tpd.patch">20090619.07.tpd.patch</a>
 bookvol10.4 DEFINTRF +-> conversion<br/>
+<a href="patches/20090619.08.tpd.patch">20090619.08.tpd.patch</a>
+bookvol10.4 RFFACT +-> conversion<br/>
  </body>
 </html>
